Package org.h2gis.functions.io.fgb.fileTable

## Class GeometryOffsets

- java.lang.Object
- - org.h2gis.functions.io.fgb.fileTable.GeometryOffsets

    public class GeometryOffsets
    extends Object

Author:
  Björn Harrtell, Nicolas Fortin // Support of Z and M in coordinates

### Field Summary

Fields
`int` `coordsOffset`
`long[]` `ends`
`int` `endsOffset`
`GeometryOffsets[]` `gos`
`int[]` `lengths`
`int` `lengthsOffset`
`int` `mOffset`
`int` `type`
`int` `zOffset`

### Constructor Summary

Constructors
`GeometryOffsets()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### coordsOffset

    public int coordsOffset

#### zOffset

    public int zOffset

#### mOffset

    public int mOffset

#### ends

    public long[] ends

#### lengths

    public int[] lengths

#### endsOffset

    public int endsOffset

#### lengthsOffset

    public int lengthsOffset

#### type

    public int type

#### gos

    public GeometryOffsets[] gos

### Constructor Detail

#### GeometryOffsets

    public GeometryOffsets()